Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class UnsignedInt

    java.lang.Object
      java.lang.Number
          org.apache.axis.types.UnsignedInt

All Implemented Interfaces:
  Comparable, Serializable

Direct Known Subclasses:
  UnsignedShort

public class UnsignedInt
extends Number
implements Comparable

Custom class for supporting primitive XSD data type UnsignedInt

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.22, Serialized Form

Field Summary
`protected Long` | `lValue`

Constructor Summary
`UnsignedInt()`
`UnsignedInt(long iValue)` ctor for UnsignedInt
`UnsignedInt(String stValue)`

Method Summary
`byte` | `byteValue()`
`int` | `compareTo(Object obj)`
`double` | `doubleValue()`
`boolean` | `equals(Object obj)`
`float` | `floatValue()`
`int` | `hashCode()`
`int` | `intValue()`
`boolean` | `isValid(long iValue)` validate the value against the xsd definition
`long` | `longValue()`
`void` | `setValue(long iValue)` validates the data and sets the value for the object.
`short` | `shortValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lValue

    protected Long lValue

Constructor Detail

### UnsignedInt

    public UnsignedInt()

### UnsignedInt

    public UnsignedInt(long iValue)
                throws NumberFormatException

  ctor for UnsignedInt

Throws:
  `NumberFormatException` - will be thrown if validation fails

### UnsignedInt

    public UnsignedInt(String stValue)
                throws NumberFormatException

Method Detail

### setValue

    public void setValue(long iValue)
                  throws NumberFormatException

  validates the data and sets the value for the object.

  Throws:
    `NumberFormatException`

### toString

    public String toString()

### hashCode

    public int hashCode()

### isValid

    public boolean isValid(long iValue)

  validate the value against the xsd definition

### equals

    public boolean equals(Object obj)

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### byteValue

    public byte byteValue()

### shortValue

    public short shortValue()

### intValue

    public int intValue()

### longValue

    public long longValue()

### doubleValue

    public double doubleValue()

### floatValue

    public float floatValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.